Bug 207394 - Observer creation UI seems to be backwards for common cases.
Observer creation UI seems to be backwards for common cases.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: frysk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Cagney
Len DiMaggio
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 18:06 EDT by Dave Malcolm
Modified: 2008-04-09 16:40 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 16:40:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2006-09-20 18:06:25 EDT
Description of problem:
I'm looking to watch all system calls made by a particular process.

Currently the UI for observing something about a process is
(a) "Observers->Program Observer..." which brings up a dialog listing processes,
allowing me to tick some, but with no apparent effect.
(b)"Observers->Manage Custom Observer..." which 
  (i) brings up the "Frysk Custom Observers" dialog, allowing me to select
Syscall Observer ,and click "New", which opens the
  (ii) this opens the "Frysk Custom Observers details" dialog,  "Event" has
"None" selected (doesn't seem to have remembered that I had Syscall  observer
selected before).
  (iii) select syscall observer, and then play around with the filter to try to
determine the process to watch (have to try to make a guess at the relevant args
here, doesn't seem to be tied together with a browser).

This seems backwards - this looks like a dialog for dealing with the most
advanced cases.  

I think a better UI for dealing with simple cases is to have a process browser.
  I should be able to browse the running processes, and right-click on them. 
The resulting context menu should an "Observe" option, which could bring up a
dialog allowing me to set up observers on that specific process.  You could even
have a simple "Watch system calls" verb in the context menu, which would set up
the observer directly.

To take this even further, this could be integrated with the
gnome-system-monitor, so that you could directly start frysk observers on
processes from the gnome-system-monitor process view: a right-click there should
have frysk options built-in.  Obviously this would require patching Fedora's
gnome-system-monitor/procman package (but could be done simply by invoking a
frysk-configure-observers-for-pid <PID> helper app, and only showing the option
if frysk is installed)

Version-Release number of selected component (if applicable):
frysk-0.0.1.2006.09.15.rh1-2.fc6
Comment 1 Phil Muldoon 2006-09-20 19:08:16 EDT
Actually Program Obvservers are orthogonal to watching processes for events. In
fact, they will be removed and refactored to me be more in line with the
workflow. Point well taken there.

The workflow for watching a process or a task is:

- Create a session with the session manager. This is the first UI you will see.
From there you can create a session that allows you to add processes, tasks,
observers and so on.
- Launch that session

I'm curious as to how you got to the actual process monitor before going through
these steps, which setup your environment to detail your points above. Also, you
can add additional observers by right clicking on the process or task, and click
Add Observer -> select your observer.

Custom observers are a different feature altogether, allowing you to customize
your actions and filters on observe rfire (say fork). They allow you to further
refine the base observers.

I see two action items here. Remove program observers in thier current context.
They are confusing and lead people away from the workflow.

Make sure the user goes through the "setup a session druid" before allowing you
to go to the monitor.
Comment 2 Bug Zapper 2008-04-03 14:16:39 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Mark Wielaard 2008-04-09 16:40:25 EDT
The whole observer and monitoring support in the gui has been redesigned since
this bug was opened. A couple of the suggestions in comment #2 have been
adopted. Please review the current gui and open a new bug upstream for any
additional issues you see. (Disclaimer, the frysk gui and monitoring has been
deemphasized upstream to focus on debugging and core tools/cli support first).

Note You need to log in before you can comment on or make changes to this bug.